Subject: Re: IDMA on MPC855/860 ?

From: Dan Malek <[email-masked]>
Date: Fri, 21 Sep 2001 16:39:02 -0400

Steven Scholz wrote:

> Can anyone point me to some driver code already in the recent linuxppc
> that are using the MPC's IDMA, please?

All of the MPC8xx unique drivers use DMA....it's the only way
to transfer data through the CPM.  Just take one of the drivers,
like uart.c or enet.c, and remove everything except the buffer
descriptor management.  Then just add the few lines of code to
initialize the IDMA channel and you are done.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/